> For the complete documentation index, see [llms.txt](https://docs.vespr.xyz/vespr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vespr.xyz/vespr/contributors/translations/guidelines.md).

# Guidelines

### 1. Markdown Formatting

Our project uses Markdown-style syntax to control **formatting** and **styling** of text in the application. When translating, **it's important that the formatting markers are preserved** so the translated text appears correctly in the application.

* Text wrapped in single asterisks (`*`) will be displayed in *italic* and/or different color.
* Text wrapped in double asterisks (`**`) will be displayed in **bold** and/or different color.

#### Examples

**Original**

```md
Boost transaction speeds by holding **$HUNT** tokens.
```

**Translated (Romanian)**

```md
Accelerează vitezele de tranzacționare deținând monede **$HUNT**.
```

### 2. Placeholder Text

Certain text contains placeholders wrapped in curly braces {} that are used to insert dynamic information (e.g., user names, dates, etc.) at runtime. **These placeholders must be preserved in the translation** to ensure the application continues to function correctly.

#### Examples

A common placeholders you may see, *deviceName*, is used liked this.

**Original**

```md
We lost connection to {deviceBrand}.
```

**Translated (Romanian)**

```md
Am pierdut conexiunea la {deviceBrand}.
```

The *deviceName* variable will be replaced at runtime with the actual name of the device: Ledger, Keystone, etc.

### 3. Formal vs. Informal Language

In some languages, you may need to choose between using a formal or informal tone. This decision can vary based on culture and context.

When the context and your culture allows, we recommend going for a more **semi-formal**/**informal**  language tone for translations.

### 4. Submitting Your Translations

When submitting a translation, please ensure that you:

* Preserve Markdown formatting (e.g., \* or \*\*) around text where applicable.
* Retain dynamic placeholders (e.g., {firstName}, {date}) without modification.
* Adhere to any established guidelines on formal or informal language.
* Complete the translation on <https://localazy.com/p/vespr>.
* If you're unsure about anything or have questions, feel free to open a support ticket on [our Discord channel](https://discord.com/channels/1025144676438777867/1061014128031965185)

**Thank you for contributing to making this project more accessible to people around the world! We truly appreciate your time and effort in helping us grow the community.**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vespr.xyz/vespr/contributors/translations/guidelines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
